/*
 *
 * CommandManager
 *
 * This class maintains all custom commands and executions throughout the mod
 *
*/

package jesse.keeblarcraft.Commands;

public class CustomCommandManager {
    // Intentionally empty constructor since at object definition time it may not be possible to register commands
    public CustomCommandManager() {}

    // Registers all custom command classes here
    public void RegisterCustomCommands() {
        // CUSTOM COMMAND CLASS OBJECTS BELOW
        ShortcutCommands shortcuts = new ShortcutCommands();
        NoteCommands noteCommands = new NoteCommands();

        // REGISTER COMMANDS BELOW
        System.out.println("\033[32m REGISTERING CUSTOM COMMAND EXTENSIONS BELOW \033[0m");
        shortcuts.RegisterShortcutCommands();
        noteCommands.RegisterNoteCommands();
    }
}
